<template>
    <Modal
        :show="show"
        hide-header
        hide-footer
        size="small"
        title="ONE TIME OFFER💥"
        content-class="modal_confirm"
        :close-button="{
            width: '21px',
            height: '21px',
            rotate: '45',
            src: '/images/noun_Plus.svg',
        }"
        @close="close"
    >
        <span
            class="desc"
        >Get 20% off your monthly subscription if you sign up to a paid plan right now and reach up to 6 times more audience!</span>
        <div class="actions">
            <b-button
                variant="primary"
                class="btn btn_confirm"
                @click="$emit('confirm')"
            >
                Get Beginner plan for 3.99$
            </b-button>
            <b-button
                variant="outline"
                class="btn btn_cancel"
                @click="$emit('cancel')"
            >
                Continue to get Free plan
            </b-button>
        </div>
    </Modal>
</template>

<script>
import Modal from "@/components/elements/Modal";

export default {
  components: {
    Modal,
  },
  props: ["show"],
  methods: {
    close() {
      this.$emit("close");
    },
  },
};
</script>

<style scoped lang="scss">
.desc {
  font-size: 14px;
  line-height: 150%;
  width: 250px;
  text-align: center;
  color: #7a7a7a;
}
.actions {
  margin-top: 19px;
}
.btn {
  width: 210px;
  height: 36px;
  margin: 0 auto;
  display: block;
  font-weight: 500;
  &_cancel {
    font-size: 14px;
    line-height: 16px;

    color: #4786ff;
  }
}
</style>

<style lang="scss">
.modal_confirm {
  width: 328px;
  left: 50%;
  transform: translateX(-50%);
  .modal-popup-header {
    border: none;
  }
  .popup-header-text {
    padding-top: 14px;
    font-weight: 500;
    font-size: 20px;
    line-height: 23px;
    font-weight: 400;
  }
  .modal-popup-body {
    padding: 2px 16px 16px;
  }
}
</style>